SbPlane(3IV)

NAME
SbPlane — oriented plane in 3D

INHERITS FROM
SbPlane

SYNOPSIS
#include <Inventor/SbLinear.h>

Methods from class SbPlane:

SbPlane()

SbPlane(const SbVec3f &p0, const SbVec3f &p1, const SbVec3f &p2)

SbPlane(const SbVec3f &normal, float distance)

SbPlane(const SbVec3f &normal, const SbVec3f &point)
void
offset(float d)
SbBool
intersect(const SbLine &l, SbVec3f &intersection) const
void
transform(const SbMatrix &matrix)
SbBool
isInHalfSpace(const SbVec3f &point) const
const SbVec3f &
getNormal() const
float
getDistanceFromOrigin() const
int
operator ==(const SbPlane &p1, const SbPlane &p2)
int
operator !=(const SbPlane &p1, const SbPlane &p2)

DESCRIPTION
Represents an oriented plane in 3D. This is a lightweight class/datatype that is used for arguments to some Inventor objects.

METHODS

SbPlane()

SbPlane(const SbVec3f &p0, const SbVec3f &p1, const SbVec3f &p2)

SbPlane(const SbVec3f &normal, float distance)

SbPlane(const SbVec3f &normal, const SbVec3f &point)
Constructors. p0, p1, and p2 represent three points in the plane. normal is a normal vector, distance is distance from origin to plane along normal vector, and point is a point in 3-space for the plane to pass through.

void
offset(float d)
Offset a plane by a given distance.

SbBool
intersect(const SbLine &l, SbVec3f &intersection) const
Intersect line and plane, returning TRUE if there is an intersection, FALSE if line is parallel to plane.

void
transform(const SbMatrix &matrix)
Transforms the plane by the given matrix.

SbBool
isInHalfSpace(const SbVec3f &point) const
Returns TRUE if the given point is within the half-space defined by the plane.

const SbVec3f &
getNormal() const
Returns normal vector to plane.

float
getDistanceFromOrigin() const
Returns distance from origin to plane.

int
operator ==(const SbPlane &p1, const SbPlane &p2)
int
operator !=(const SbPlane &p1, const SbPlane &p2)
Equality/inequality comparison operators.

SEE ALSO
SbVec3f, SbLine